Subject: bug#37739: System install issue: 'You have a memory leak'

From: "Seswu M. Fafnan" <[email-masked]>
Date: Mon, 14 Oct 2019 09:43:32 +0200

Hello Ludovic :)

Thank you for responding.
Late in the evening, with help from leoprikler at irc #guix, a workaround was found; going manual, which had until then been too overwhelming for me to face.
I just wrote a bit on that as extra information to the bug report, but will quote it below also.

Reproduction is to use the graphical installer; from the beginning:
English, Denmark, Graphical installer;
Europe, Copenhagen, Danish, Danish (no dead keys)
Guided - entire disk with encryption
ATA scsi (choosing my harddisk)
Everything is one partition

Resulting partitioning scheme looked like:
/dev/sda
	/boot/efi
		576MB fat32
		boot,esp
	/
		1000GB ext4
		cryptroot

I did not encounter the same problem doing the population manually.
The output from the manual command and from the graphical install is not the same, so I can't really compare what happened blow-by-blow.
I tried the graphical approach thrice, getting the issue, then following advice did the manual command - actually in an attempt to secure the screen output - and it worked the first time I did it.

I hope that this helped in determining the source of the problem :]

Kind regards,
  Uffe

---------------------------------------
With the help of #guix, a workaround was found;
A manual continuation of the install succeeded where the graphical install did not.
'guix system init /mnt/etc/config.scm /mnt' resulted in successful population of /mnt, and in what seems to me to be a functioning system.
---------------------------------------

On Sun, 13 Oct 2019 22:47:53 +0200
Ludovic Courtès <[email-masked]> wrote:

> Hi Seswu,
> 
> "Seswu M. Fafnan" <[email-masked]> skribis:
> 
> > I'm trying to install the full guix system on a pc but there's a problem.
> >
> > When "populating '/mnt'", it bails with an error and claims:
> > 'You have a memory leak (not released memory pool)'
> 
> I’ve never seen this message before, but looking at the intertubes, it
> may be a bug in GRUB related to encryption:
> 
>   https://github.com/NixOS/nixpkgs/issues/21830
> 
> Could you explain how to reproduce the issue?  In particular, what
> partitioning scheme and encryption setup did you choose?
> 
> Thanks in advance,
> Ludo’.

-- 
Seswu M. Fafnan <[email-masked]>